# The Low Resolution Imager and Spectrograph (LRIS) blue side

# We have no choice but to hard-code the various regions, because Keck
# only stores them as:
# WINDOW  = '1,0,0,2048,4096'
# PREPIX  =                   51
# POSTPIX =                   80
# BINNING = '1,1     '
# AMPPSIZE= '[1:1024,1:4096]'

# I don't know how we would get the IPP to react to changes in the
# windowing on the fly --- we have no mechanism for setting the region
# sizes on the basis of the above keywords.  Therefore, we hard-code
# the regions and assert on our assumptions in the RULE.


# How to identify this type
RULE	METADATA
	TELESCOP	STR	Keck I
	INSTRUME	STR	LRISBLUE
	AMPLIST		STR	1,4,0,0
	WINDOW		STR	1,0,0,2048,4096
	PREPIX		S32	51
	POSTPIX		S32	80
	BINNING		STR	1,1
	AMPPSIZE	STR	[1:1024,1:4096]
	NAXIS1		S32	4620
	NAXIS2		S32	4096
END

# How to read this data
PHU		STR	FPA	# The FITS file represents an entire FPA
EXTENSIONS	STR	NONE	# There are no extensions

# What's in the FITS file?
CONTENTS	METADATA
	LeftChip	STR	amp1 amp2
	RightChip	STR	amp3 amp4
END

# Specify the cell data
CELLS	METADATA
	amp1		METADATA
		CELL.BIASSEC	STR	VALUE:[1:51,1:4096];[4301:4380,1:4096]
		CELL.TRIMSEC	STR	VALUE:[205:1228,1:4096]
		CELL.GAIN	STR	VALUE:1.2
		CELL.READNOISE	STR	VALUE:5.6
	END

	amp2	METADATA
		CELL.BIASSEC	STR	VALUE:[52:102,1:4096];[4381:4460,1:4096]
		CELL.TRIMSEC	STR	VALUE:[1229:2252,1:4096]
		CELL.GAIN	STR	VALUE:1.3
		CELL.READNOISE	STR	VALUE:6.7
	END

	amp3		METADATA
		CELL.BIASSEC	STR	VALUE:[103:153,1:4096];[4461:4540,1:4096]
		CELL.TRIMSEC	STR	VALUE:[2253:3276,1:4096]
		CELL.GAIN	STR	VALUE:1.4
		CELL.READNOISE	STR	VALUE:7.8
	END

	amp4	METADATA
		CELL.BIASSEC	STR	VALUE:[154:204,1:4096];[4541:4620,1:4096]
		CELL.TRIMSEC	STR	VALUE:[3277:4300,1:4096]
		CELL.GAIN	STR	VALUE:1.5
		CELL.READNOISE	STR	VALUE:8.9
	END
END

# How to translate PS concepts into FITS headers
TRANSLATION	METADATA
	FPA.AIRMASS	STR	AIRMASS
	FPA.FILTER	STR	BLUFILT
	FPA.POSANGLE	STR	ROTPOSN
	FPA.RA		STR	RA
	FPA.DEC		STR	DEC
	CELL.EXPOSURE	STR	EXPOSURE
	CELL.DARKTIME	STR	EXPOSURE	// No special darktime header; use exposure time
	CELL.DATE	STR	DATE		// NOTE: There are TWO keywords called "DATE" (creation, exp)!
	CELL.TIME	STR	UT
END

# Default PS concepts that may be specified by value
DEFAULTS	METADATA
	FPA.RADECSYS	STR	ICRS
END

